Page MenuHomeVyOS Platform

snmpd throwing a tremendous amount of errors
Closed, ResolvedPublicBUG

Description

Problem seems to have started after migrating from 1.2 to 1.3-rolling.

Config is nothing special:

admin@edge# show service snmp
 community public {
     authorization ro
 }
Jan  2 22:49:37 edge snmpd[7109]: message repeated 182 times: [ Connection from UDP: [10.22.22.134]:40145->[10.0.10.1]:161]
Jan  2 22:49:47 edge snmpd[7109]: error on subcontainer 'ia_addr' insert (-1)
Jan  2 22:49:47 edge snmpd[7109]: message repeated 4 times: [ error on subcontainer 'ia_addr' insert (-1)]
Jan  2 22:50:17 edge snmpd[7109]: error on subcontainer 'ia_addr' insert (-1)
Jan  2 22:50:17 edge snmpd[7109]: message repeated 4 times: [ error on subcontainer 'ia_addr' insert (-1)]
Jan  2 22:50:47 edge snmpd[7109]: error on subcontainer 'ia_addr' insert (-1)
Jan  2 22:50:47 edge snmpd[7109]: message repeated 4 times: [ error on subcontainer 'ia_addr' insert (-1)]
Jan  2 22:51:17 edge snmpd[7109]: error on subcontainer 'ia_addr' insert (-1)
Jan  2 22:51:17 edge snmpd[7109]: message repeated 4 times: [ error on subcontainer 'ia_addr' insert (-1)]

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling
Why the issue appeared?
Issues in third-party code
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

kroy created this task.Jan 2 2020, 10:59 PM
c-po added a subscriber: c-po.Jan 3 2020, 7:27 AM

This is already fixed in latest rolling by T1921 - please recheck ltest rolling

kroy added a comment.Jan 3 2020, 2:38 PM

Confirmed fixed in a newer rolling.

Current rolling has some errors in the snmp file:

Jan  3 14:32:29 edge snmpd[7164]: /etc/snmp/snmpd.conf: line 10: Warning: Unknown token: smuxpeer.
Jan  3 14:32:29 edge snmpd[7164]: /etc/snmp/snmpd.conf: line 11: Warning: Unknown token: smuxpeer.
Jan  3 14:32:29 edge snmpd[7164]: /etc/snmp/snmpd.conf: line 12: Warning: Unknown token: smuxsocket.
Jan  3 14:32:29 edge snmpd[7164]: notificationEvent OID: linkUp
Jan  3 14:32:29 edge snmpd[7164]: /etc/snmp/snmpd.conf: line 21: Error: unknown notification OID
Jan  3 14:32:29 edge snmpd[7164]: notificationEvent OID: linkDown
Jan  3 14:32:29 edge snmpd[7164]: /etc/snmp/snmpd.conf: line 22: Error: unknown notification OID
Jan  3 14:32:29 edge snmpd[7164]: /etc/snmp/snmpd.conf: line 23: Warning: Unknown token: monitor.
Jan  3 14:32:29 edge snmpd[7164]: /etc/snmp/snmpd.conf: line 24: Warning: Unknown token: monitor.
Jan  3 14:32:29 edge snmpd[7164]: net-snmp: 2 error(s) in config file(s)
c-po closed this task as Invalid.Jan 3 2020, 3:23 PM
c-po reopened this task as Confirmed.Jan 26 2020, 10:43 AM
c-po claimed this task.
c-po changed Why the issue appeared? from Will be filled on close to Issues in third-party code.

This is actually an "upstream" bug, see https://bugs.launchpad.net/ubuntu/+source/net-snmp/+bug/1384122 but it can be fixed via our own scripts.

As of VyOS 1.3-rolling-202001251111 we still get the following log entries

Jan 25 12:39:40 LR4.wueIII snmpd[1928]: notificationEvent OID: linkUp
Jan 25 12:39:40 LR4.wueIII snmpd[1928]: /etc/snmp/snmpd.conf: line 18: Error: unknown notification OID
Jan 25 12:39:40 LR4.wueIII snmpd[1928]: notificationEvent OID: linkDown
Jan 25 12:39:40 LR4.wueIII snmpd[1928]: /etc/snmp/snmpd.conf: line 19: Error: unknown notification OID
Jan 25 12:39:40 LR4.wueIII snmpd[1928]: /etc/snmp/snmpd.conf: line 20: Warning: Unknown token: monitor.
Jan 25 12:39:40 LR4.wueIII snmpd[1928]: /etc/snmp/snmpd.conf: line 21: Warning: Unknown token: monitor.
c-po added a comment.Jan 26 2020, 10:50 AM

Restarting now no longer shows any error/warning

Jan 26 00:50:10 LR1 systemd[1]: Stopping Simple Network Management Protocol (SNMP) Daemon....
Jan 26 00:50:10 LR1 systemd[1]: snmpd.service: Succeeded.
Jan 26 00:50:10 LR1 systemd[1]: Stopped Simple Network Management Protocol (SNMP) Daemon..
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Jan 26 2020, 10:52 AM
c-po closed this task as Resolved.Jan 26 2020, 10:55 AM